Chapters:
1: Introduction
2: Simple example
3: Invocation
4: Finer Control
5: X-Y Plots
6: Contour Plots
7: Image Plots
8: Examples
9: Gri Commands
10: Programming
11: Environment
12: Emacs Mode
13: History
14: Installation
15: Gri Bugs
16: Test Suite
17: Gri in Press
18: Acknowledgments
19: License
Indices:
Concepts
Commands
Variables

# 12: Editing Gri Files in GNU Emacs

If you use the GNU Emacs (or XEmacs) text editor, writing Gri command files is made easier with the Gri editing mode (gri-mode.el), written by Peter S. Galbraith ``<psg@debian.org>`'.

- About Gri Mode:
- Gri-mode screenshots: What it looks like.
- Installing gri-mode.el: The nuts and bolts.
- Major Gri-mode commands: It knows about Gri commands.
- Other features: IMenu, Toolbar, etc.
- Dealing with many Gri versions: gri-mode handles it.
- Filename arguments when running gri: gri-set-command-postarguments.